pth

Randy McMurchy randy at linuxfromscratch.org
Wed Aug 2 09:40:45 PDT 2006


Robert Connolly wrote these words on 08/02/06 09:19 CST:
> Hi. The Pth (portable threads) library, needed by GnuPGME, 
> replaces /usr/include/pthreads.h and some of /usr/lib/libpthread*

Only if you use the --enable-pthread option, which is not enabled
by default. In a default installation, only one interface header is
installed, pth.h.

Moral of the story here: don't use the --enable-pthread option. I
am basing my assertions on my most recent installation of pth, using
version 2.0.6.

-- 
Randy

rmlscsi: [bogomips 1003.27] [GNU ld version 2.16.1] [gcc (GCC) 4.0.3]
[GNU C Library stable release version 2.3.6] [Linux 2.6.14.3 i686]
11:37:00 up 13:05, 1 user, load average: 0.01, 0.00, 0.00



More information about the blfs-dev mailing list